Bug 984719 - stock-button menu not scrolling
stock-button menu not scrolling
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 15:28 EDT by Caolan McNamara
Modified: 2015-02-17 11:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:10:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (146.26 KB, image/png)
2013-07-15 15:28 EDT, Caolan McNamara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 691974 None None None Never

  None (edit)
Description Caolan McNamara 2013-07-15 15:28:44 EDT
Created attachment 773889 [details]
screenshot

Description of problem:
stock-buttons menu for GtkButtons doesn't fit on the screen (which is ok) but no longer will scroll to show the rest

Version-Release number of selected component (if applicable):
glade-3.15.0-1.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
1. insert a button
2. choose stock button
3. menu pops up, without scroll arrows.

Actual results:
so, on my screen at least, I can't select anything except the first page of stock buttons :-(


Additional info:
On F-18 this sometimes also happened, but if it didn't work the first time it would work every other time. But now it never work :-( If I create a menu too big for the screen (with glade itself) it does scroll, hence the specific glade bug and not a gtk3 bug.
Comment 1 Kalev Lember 2013-07-15 17:02:31 EDT
There's a bunch of similar sizing bugs opened upstream against GtkComboBox. This one is probably most relevant:

https://bugzilla.gnome.org/show_bug.cgi?id=691974
Comment 2 Caolan McNamara 2013-07-16 05:32:58 EDT
ah indeed, happens with Tristan's standalone example too
Comment 3 Fedora End Of Life 2015-01-09 13:56:15 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 11:10:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.